SDL_GameControllerExtendedBind Struct Reference

## Data Fields

SDL_GameControllerBindType | bindType
union {
int button
struct {
int axis
int axis_min
int axis_max
} axis
struct {
int hat
int hat_mask
} hat
} | value
SDL_bool | committed

## Detailed Description

Definition at line 114 of file controllermap.c.

## Field Documentation

## axis [1/2]

int SDL_GameControllerExtendedBind::axis

Definition at line 122 of file controllermap.c.

Referenced by BBindingContainsBinding(), BMergeAxisBindings(), ConfigureBinding(), and WatchJoystick().

## axis [2/2]

struct { ... } SDL_GameControllerExtendedBind::axis

## axis_max

int SDL_GameControllerExtendedBind::axis_max

Definition at line 124 of file controllermap.c.

## axis_min

int SDL_GameControllerExtendedBind::axis_min

Definition at line 123 of file controllermap.c.

## bindType

SDL_GameControllerBindType SDL_GameControllerExtendedBind::bindType

Definition at line 116 of file controllermap.c.

Referenced by BBindingContainsBinding(), BMergeAxisBindings(), ConfigureBinding(), and WatchJoystick().

## button

int SDL_GameControllerExtendedBind::button

Definition at line 119 of file controllermap.c.

Referenced by ConfigureBinding(), and WatchJoystick().

## committed

SDL_bool SDL_GameControllerExtendedBind::committed

Definition at line 134 of file controllermap.c.

Referenced by BBindingContainsBinding(), ConfigureBinding(), and WatchJoystick().

## hat [1/2]

int SDL_GameControllerExtendedBind::hat

Definition at line 128 of file controllermap.c.

Referenced by ConfigureBinding(), and WatchJoystick().

## hat [2/2]

struct { ... } SDL_GameControllerExtendedBind::hat

## hat_mask

int SDL_GameControllerExtendedBind::hat_mask

Definition at line 129 of file controllermap.c.

## value

union { ... } SDL_GameControllerExtendedBind::value

Referenced by BBindingContainsBinding(), BMergeAxisBindings(), ConfigureBinding(), and WatchJoystick().

The documentation for this struct was generated from the following file:

- test/controllermap.c